gtkmm: Gtk::MnemonicTrigger Class Reference

gtkmm 4.22.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::MnemonicTrigger Class Reference

A Gtk::ShortcutTrigger that triggers when a specific mnemonic is pressed. More...

`#include <gtkmm/shortcuttrigger.h>`

Inheritance diagram for Gtk::MnemonicTrigger:
[legend]

## Public Member Functions
| MnemonicTrigger (MnemonicTrigger && src) noexcept
MnemonicTrigger & | operator= (MnemonicTrigger && src) noexcept
| ~MnemonicTrigger () noexcept override
GtkMnemonicTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkMnemonicTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkMnemonicTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
guint | get_keyval () const
| Gets the keyval that must be pressed to succeed triggering self.
Glib::PropertyProxy_ReadOnly< guint > | property_keyval () const
| The key value for the trigger.
Public Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger (ShortcutTrigger && src) noexcept
ShortcutTrigger & | operator= (ShortcutTrigger && src) noexcept
| ~ShortcutTrigger () noexcept override
GtkShortcutTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given trigger into a human-readable string.
Glib::ustring | to_label (const Glib::RefPtr< const Gdk::Display > & display) const
| Gets textual representation for the given trigger.
bool | equal (const Glib::RefPtr< const ShortcutTrigger > & trigger2) const
| Checks if trigger1 and trigger2 trigger under the same conditions.
int | compare (const Glib::RefPtr< const ShortcutTrigger > & trigger2) const
| The types of trigger1 and trigger2 are gconstpointer only to allow use of this function as a CompareFunc.
Gdk::KeyMatch | trigger (const Glib::RefPtr< const Gdk::Event > & event, bool enable_mnemonics) const
| Checks if the given event triggers self.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< MnemonicTrigger > | create (guint keyval)
Static Public Member Functions inherited from Gtk::ShortcutTrigger
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutTrigger > | parse_string (const Glib::ustring & string)
| Tries to parse the given string into a trigger.

## Protected Member Functions
| MnemonicTrigger (guint keyval)
Protected Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::MnemonicTrigger > | wrap (GtkMnemonicTrigger * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutTrigger
Glib::RefPtr< Gtk::ShortcutTrigger > | wrap (GtkShortcutTrigger * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A Gtk::ShortcutTrigger that triggers when a specific mnemonic is pressed.

Key values are the codes which are sent whenever a key is pressed or released. The complete list of key values can be found in the gdk/gdkkeysyms.h header file. They are prefixed with GDK_KEY_.

## Constructor & Destructor Documentation

## ◆ MnemonicTrigger() [1/2]

Gtk::MnemonicTrigger::MnemonicTrigger | ( | MnemonicTrigger && | src | ) |
| noexcept

## ◆ ~MnemonicTrigger()

Gtk::MnemonicTrigger::~MnemonicTrigger | ( |  | ) |
| overridenoexcept

## ◆ MnemonicTrigger() [2/2]

Gtk::MnemonicTrigger::MnemonicTrigger | ( | guint | keyval | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

Glib::RefPtr< MnemonicTrigger > Gtk::MnemonicTrigger::create | ( | guint | keyval | ) |
| static

## ◆ get_keyval()

guint Gtk::MnemonicTrigger::get_keyval | ( |  | ) | const

Gets the keyval that must be pressed to succeed triggering self.

Returns
  The keyval.

## ◆ get_type()

GType Gtk::MnemonicTrigger::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkMnemonicTrigger * Gtk::MnemonicTrigger::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkMnemonicTrigger * Gtk::MnemonicTrigger::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkMnemonicTrigger * Gtk::MnemonicTrigger::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

MnemonicTrigger & Gtk::MnemonicTrigger::operator= | ( | MnemonicTrigger && | src | ) |
| noexcept

## ◆ property_keyval()

Glib::PropertyProxy_ReadOnly< guint > Gtk::MnemonicTrigger::property_keyval | ( |  | ) | const

The key value for the trigger.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::MnemonicTrigger > wrap | ( | GtkMnemonicTrigger * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.